

import request from '@/utils/request'

export function getLiteratureList(data) {
  return request({
    url: '/sysLiterature/listByPage',
    method: 'post',
    data
  })
}
export function addLiterature(data) {
  return request({
    url: '/sysLiterature/add',
    method: 'post',
    data
  })
}

export function editLiterature(data) {
  return request({
    url: '/sysLiterature/update',
    method: 'put',
    data
  })
}
// 带权限的文献列表分页
export function getLtListPer(data) {
  return request({
    url: '/sysLiterature/listByPagePer',
    method: 'post',
    data
  })
}
export function deleteLt(data) {
  return request({
    url: '/sysLiterature/delete',
    method: 'delete',
    data
  })
}

// 文创产品api
// 获取文创列表
export function getCcProduct(data) {
  return request({
    url: '/bizCcProducts/listByPagePer',
    method: 'post',
    data 
  })
}

// 新增文创
export function addCcProduct(data) {
  return request({
    url: '/bizCcProducts/add',
    method: 'post',
    data
  })
}

// 更新文创
export function updateCcProduct(data) {
  return request({
    url: '/bizCcProducts/update',
    method: 'put',
    data
  })
}

// 删除文创
export function deleteCcProduct(data) {
  return request({
    url: '/bizCcProducts/delete',
    method: 'delete',
    data
  })
}
